Subject: Re: [PATCH] powerpc: dts: t1040rdb: fix ports names for Seville Ethernet switch

From: Vladimir Oltean <[email-masked]>
Date: Tue, 11 Jan 2022 13:13:56 +0000

Hi Maxim,

On Mon, Jan 10, 2022 at 07:40:38AM +0000, Maxim Kiselev wrote:
> Here are photos of my boards.

Your patch is OK to change t1040rdb.dts, but please preserve the existing
port mappings in a new arch/powerpc/boot/dts/fsl/t1040rdb-rev-a.dts file.

You will also need to modify the /model and /compatible nodes of the new
device tree for Rev A, something like "fsl,T1040RDB-REV-A". Take a look
at arch/arm64/boot/dts/freescale/fsl-lx2160a-bluebox3-rev-a.dts to see
an example of what I'd like to be done.

Thanks.